Bug 981656 - Inactivity timer doesn't blank the screen, it only sets it to black display
Inactivity timer doesn't blank the screen, it only sets it to black display
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 08:22 EDT by Stephen Gallagher
Modified: 2015-02-17 10:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:52:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2013-07-05 08:22:21 EDT
Description of problem:
My screen is set to blank after five minutes of activity. When this time passes, the screen does not blank, but instead simply sets the screen to black (the monitor backlight is still on and the mouse cursor is visiible). In Fedora 18, the monitor properly received the signal to go into power-saving mode.

Version-Release number of selected component (if applicable):
gdm-3.8.3-2.fc19.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Wait for inactivity
2.
3.

Actual results:
Screen fades to black, but the mouse cursor is still visible

Expected results:
The monitor should go into power-saving mode.

Additional info:
If I lock the screen manually, the GDM lock screen is displayed. When this occurs, the screen is blank except for the mouse cursor until I move the mouse, at which time the GDM lock screen becomes visible.


The following appears in /var/log/messages:

Jul  5 08:21:10 sgallagh520 /etc/gdm/Xsession[1539]: Window manager warning: Log level 8: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Jul  5 08:21:10 sgallagh520 /etc/gdm/Xsession[1539]: Window manager warning: Log level 8: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Jul  5 08:21:10 sgallagh520 /etc/gdm/Xsession[1539]: Window manager warning: Log level 8: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Jul  5 08:21:10 sgallagh520 /etc/gdm/Xsession[1539]: (gnome-settings-daemon:1749): power-plugin-WARNING **: failed to turn the panel off: Could not change DPMS mode
Jul  5 08:21:20 sgallagh520 /etc/gdm/Xsession[1539]: (gnome-settings-daemon:1749): power-plugin-WARNING **: failed to turn the panel on: Could not change DPMS mode
Jul  5 08:21:21 sgallagh520 dbus-daemon[663]: dbus[663]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Jul  5 08:21:21 sgallagh520 dbus[663]: [system] Activating via systemd: service name='net.reactivated.Fprint' unit='fprintd.service'
Jul  5 08:21:21 sgallagh520 systemd[1]: Starting Fingerprint Authentication Daemon...
Jul  5 08:21:21 sgallagh520 dbus-daemon[663]: dbus[663]: [system] Successfully activated service 'net.reactivated.Fprint'
Jul  5 08:21:21 sgallagh520 dbus[663]: [system] Successfully activated service 'net.reactivated.Fprint'
Jul  5 08:21:21 sgallagh520 systemd[1]: Started Fingerprint Authentication Daemon.
Jul  5 08:21:21 sgallagh520 fprintd[5494]: Launching FprintObject
Jul  5 08:21:21 sgallagh520 fprintd[5494]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Jul  5 08:21:21 sgallagh520 fprintd[5494]: ** Message: entering main loop
Jul  5 08:21:25 sgallagh520 [sssd[krb5_child[5502]]]: Success
Jul  5 08:21:25 sgallagh520 /etc/gdm/Xsession[1539]: Window manager warning: Log level 8: g_object_get_data: assertion `G_IS_OBJECT (object)' failed
Jul  5 08:21:25 sgallagh520 gdm[1140]: GdmSlave: could not fetch type of session 'c1': No such file or directory
Comment 1 Fedora End Of Life 2015-01-09 13:41:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:52:22 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.